=== debian/changelog ===
yade (2018.02b-4build1) cosmic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 13:26:42 +0000

yade (2018.02b-4) unstable; urgency=medium

  * [7e20ce4] Update d/copyright

 -- Anton Gladky <gladk@debian.org>  Sat, 23 Jun 2018 09:29:43 +0200

yade (2018.02b-3) unstable; urgency=medium

  * [ed63b0d] Set Arch: any for python-yade

 -- Anton Gladky <gladk@debian.org>  Tue, 19 Jun 2018 22:20:31 +0200

yade (2018.02b-2) unstable; urgency=medium

  [ Adrian Bunk ]
  * [4cf8d3c] Drop debug info for mips/mipsel. (Closes: #890237)

  [ Anton Gladky ]
  * [b87e33b] Use tar.gz instead of failing bz2 in doctest. (Closes: #900457)
  * [37a6e5b] Add tilda to debhelper version number
  * [20d3a2e] Set Standards-Version to 4.1.4
  * [ec2b9f9] Fix compilation with the newer sphinx.

 -- Anton Gladky <gladk@debian.org>  Sat, 09 Jun 2018 23:16:40 +0200

yade (2018.02b-1) unstable; urgency=medium

  [ Anton Gladky ]
  * [5a1056a] New upstream version 2018.02b
  * [fc27b02] Remove patch applied by upstream
  * [366aa18] Reenable CGAL-feature

  [ Adrian Bunk ]
  * [a5eddfb] Fix compilation on weak archs. (Closes: #890237)

 -- Anton Gladky <gladk@debian.org>  Tue, 20 Feb 2018 20:06:30 +0100

yade (2018.02a-2) unstable; urgency=medium

  * [299915c] Disable parallel build. (Closes: #890054)

 -- Anton Gladky <gladk@debian.org>  Sat, 10 Feb 2018 17:06:03 +0100

yade (2018.02a-1) unstable; urgency=medium

  * [8c51977] Add libgmp-dev as a build-dependency
  * [ca816f3] New upstream version 2018.02a
  * [4e12967] Refresh patches, remove applied by upstream
  * [862d474] Fix unit-tests
  * [5ef654a] Set Standards-Version to 4.1.3
  * [f6c9349] Remove testsuite-field in d/control
  * [f7a532e] Update VCS-field
  * [f41e35b] Update homepage
  * [13e4b8b] Enable parallel-builds. (Closes: #846919)
  * [ac653a1] Set compat-level 11
  * [e128978] Use arch-any not the explicit list of archs
  * [1066da4] Remove old patch
  * [98da1df] Update yade-doc.doc-base

 -- Anton Gladky <gladk@debian.org>  Thu, 08 Feb 2018 19:16:45 +0100

yade (2017.01a-11) unstable; urgency=medium

  * [92d9c5e] Do not enable LINSOLV if CGAL not found. (Closes: #880792)

 -- Anton Gladky <gladk@debian.org>  Sun, 05 Nov 2017 11:09:58 +0100

yade (2017.01a-10) unstable; urgency=medium

  * [246d427] Remove libcgal-dev from BD temporarly not to block CGAL
              migration. (Closes: #876524)
  * [beb17f7] Set Standards-Version: 4.1.1

 -- Anton Gladky <gladk@debian.org>  Fri, 03 Nov 2017 21:45:35 +0100
