=== debian/control ===
Source: yade
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper (>= 11~),
               dh-exec,
               freeglut3-dev,
               help2man,
               ipython (>= 5),
               libboost-all-dev,
               libbz2-dev,
               libcgal-dev,
               libeigen3-dev (>= 3.2.1-2),
               libgl1-mesa-dev,
               libgmp-dev,
               libgts-dev,
               libloki-dev,
               libmetis-dev [amd64 i386 powerpc],
               libopenblas-dev [amd64 i386 powerpc],
               libqglviewer-dev-qt5,
               libsuitesparse-dev [amd64 i386 powerpc],
               libvtk6-dev,
               libxi-dev,
               libxmu-dev,
               pyqt5-dev-tools,
               python-all-dev,
               python-gts,
               python-pil,
               python-matplotlib,
               python-minieigen,
               python-numpy,
               python-sip,
               python-pyqt5,
               python-pyqt5.qtsvg,
               python-tk,
               python-xlib,
               zlib1g-dev
Build-Depends-Indep: dvipng,
                     graphviz,
                     libjs-jquery,
                     lmodern,
                     python-bibtex,
                     python-sphinx,
                     texlive-fonts-recommended,
                     texlive-generic-extra,
                     texlive-latex-extra,
                     texlive-latex-recommended,
                     texlive-pictures,
                     texlive-xetex,
                     tipa
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/science-team/yade.git
Vcs-Git: https://salsa.debian.org/science-team/yade.git
Homepage: https://yade-dem.org/doc/
X-Python-Version: current

Package: yade
Architecture: any
Multi-Arch: foreign
Depends: gnuplot,
         gtk2-engines-pixbuf,
         ipython,
         libyade (= ${binary:Version}),
         python-yade (= ${binary:Version}),
         python-pyqt5.qtwebkit,
         ${python:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Platform for discrete element modeling
 Yet Another Dynamic Engine.
 .
 Extensible open-source framework for discrete numerical models,
 focused on Discrete Element Method.
 The computation parts are written in c++ using flexible object model,
 allowing independent implementation of new algorithms and interfaces.
 Python is used for rapid and concise scene construction,
 simulation control, postprocessing and debugging.
 .
 This package contains speed-optimized build of yade.

Package: libyade
Architecture: any
Multi-Arch: same
Depends: libopenblas-dev [amd64 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc],
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Platform for discrete element modeling. Libraries
 Yet Another Dynamic Engine.
 .
 Extensible open-source framework for discrete numerical models,
 focused on Discrete Element Method.
 The computation parts are written in c++ using flexible object model,
 allowing independent implementation of new algorithms and interfaces.
 Python is used for rapid and concise scene construction,
 simulation control, postprocessing and debugging.
 .
 This package contains yade`s libraries.

Package: python-yade
Architecture: any
Multi-Arch: foreign
Section: python
Depends: libyade (= ${binary:Version}),
         python-argparse,
         python-gts,
         python-pil,
         python-matplotlib,
         python-minieigen,
         python-pyqt5,
         python-pyqt5.qtsvg,
         python-tk,
         python-xlib,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Platform for discrete element modeling. Python bindings
 Yet Another Dynamic Engine.
 .
 Extensible open-source framework for discrete numerical models,
 focused on Discrete Element Method.
 The computation parts are written in c++ using flexible object model,
 allowing independent implementation of new algorithms and interfaces.
 Python is used for rapid and concise scene construction,
 simulation control, postprocessing and debugging.
 .
 This package contains python bindings for yade.

Package: yade-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Recommends: yade
Description: Platform for discrete element modeling. Documentation
 Yet Another Dynamic Engine.
 .
 Extensible open-source framework for discrete numerical models,
 focused on Discrete Element Method.
 The computation parts are written in c++ using flexible object model,
 allowing independent implementation of new algorithms and interfaces.
 Python is used for rapid and concise scene construction,
 simulation control, postprocessing and debugging.
 .
 This package contains examples, test scripts and documentation.
