## yade 2019.01a

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,6 +27,7 @@
 #  CHUNKSIZE: set >1, if you want several sources to be compiled at once. Increases compilation speed and RAM-consumption during it (1 by default)
 #  VECTORIZE: enables vectorization and alignment in Eigen3 library, experimental (OFF by default)
 #  USE_QT5: use QT5 for GUI (ON by default)
+#  CHOLMOD_GPU link Yade to custom SuiteSparse installation and activate GPU accelerated PFV (OFF by default)
 
 project(Yade C CXX)
 cmake_minimum_required(VERSION 2.8.11)
@@ -59,8 +60,14 @@
 
 EXECUTE_PROCESS(COMMAND ${CMAKE_C_COMPILER} -dumpversion OUTPUT_VARIABLE GCC_VERSION)
 IF (GCC_VERSION VERSION_GREATER 4.8 OR GCC_VERSION VERSION_EQUAL 4.8)
-  MESSAGE(STATUS "GCC Version >= 4.8. Adding -ftrack-macro-expansion=0 and -save-temps")
-  ADD_DEFINITIONS("-ftrack-macro-expansion=0 -save-temps")
+  MESSAGE(STATUS "GCC Version >= 4.8. Adding -ftrack-macro-expansion=0")
+  ADD_DEFINITIONS("-ftrack-macro-expansion=0")
+ENDIF()
+
+# -save-temps is not supported with ccache
+IF ((GCC_VERSION VERSION_GREATER 4.8 OR GCC_VERSION VERSION_EQUAL 4.8) AND ( NOT "${CMAKE_CXX_COMPILER_LAUNCHER}" MATCHES ".*ccache" AND NOT DISABLE_SAVE_TEMPS))
+  MESSAGE(STATUS "GCC Version >= 4.8. Adding -save-temps")
+  ADD_DEFINITIONS("-save-temps")
 ENDIF()
 
 #===========================================================
@@ -141,7 +148,8 @@
 OPTION(USE_QT5 "USE Qt5 for GUI" ON)
 OPTION(ENABLE_POTENTIAL_BLOCKS "Enable PotentialBlocks" OFF)
 OPTION(ENABLE_DEFORM "Enable Deformation Engine" OFF)
-OPTION(CHOLMOD_GPU "Enable GPU acceleration flow engine direct solver (experimental)" OFF)
+OPTION(CHOLMOD_GPU "Enable GPU acceleration flow engine direct solver" OFF)
+OPTION(ENABLE_THERMAL "Enable thermal engine (experimental)" OFF)
 
 #===========================================================
 # Use Eigen3 by default
@@ -235,6 +243,7 @@
   FIND_PACKAGE(glib2)
     
   IF(USE_QT5)
+    MESSAGE(STATUS "USE QT5")
     FIND_PACKAGE(QGLVIEWER-qt5 REQUIRED)
     FIND_PACKAGE(Qt5 CONFIG REQUIRED Widgets Xml OpenGL)
     SET(CMAKE_AUTOMOC ON)
@@ -248,11 +257,3 @@
       SET(CONFIGURED_FEATS "${CONFIGURED_FEATS} GUI-Qt5")
     ELSE(Qt5Widgets_FOUND AND OPENGL_FOUND AND GLUT_FOUND AND GLIB2_FOUND AND QGLVIEWER_FOUND)
       MESSAGE(STATUS "GUI-Qt5-LIBS NOT found")
-      SET(DISABLED_FEATS "${DISABLED_FEATS} GUI-Qt5")
-      SET(ENABLE_GUI OFF)
-    ENDIF(Qt5Widgets_FOUND AND OPENGL_FOUND AND GLUT_FOUND AND GLIB2_FOUND AND QGLVIEWER_FOUND)
-  ELSE(USE_QT5)   # Use Qt4
-    FIND_PACKAGE(QGLVIEWER-qt4 REQUIRED)
-    FIND_PACKAGE(Qt4 COMPONENTS QtCore QtGui QtOpenGL)
-    IF(QT4_FOUND AND OPENGL_FOUND AND GLUT_FOUND AND GLIB2_FOUND AND QGLVIEWER_FOUND)
-      SET(GUI_LIBS ${GLUT_LIBRARY} ${OPENGL_LIBRARY} ${QGLVIEWER_LIBRARIES})
