=== debian/changelog ===
yade (2019.01a-3build1) eoan; urgency=medium

  * Rebuild against bump version because previous one wasn't uploaded
    correctly.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 07 Sep 2019 23:58:03 +0200

yade (2019.01a-3) unstable; urgency=medium

  * [b94a2c7] Remove restriction version on libeigen3-dev
  * [118eccb] Add texlive-plain-generic as alternative to texlive-generic-extra 
              (Closes: #933591)
  * [02dc167] Trim trailing whitespace.

 -- Anton Gladky <gladk@debian.org>  Sat, 24 Aug 2019 17:26:37 +0200

yade (2019.01a-2) unstable; urgency=medium

  * [67c1798] Let metis. openblas and suiteparse be installed on all archs

 -- Anton Gladky <gladk@debian.org>  Wed, 30 Jan 2019 19:41:45 +0100

yade (2019.01a-1) unstable; urgency=medium

  * [6b3c3c1] New upstream version 2019.01a
  * [34e8a66] Refresh patches
  * [337fccf] Remove privacy breach
  * [31d5dc1] Remove deprecated x-python-version
  * [1584879] Fix typo
  * [195bb4f] Set Standards-Version to 4.3.0
  * [8401a0b] Build yade only for amd64 arm64 i386 ppc64el s390x

 -- Anton Gladky <gladk@debian.org>  Tue, 29 Jan 2019 20:30:49 +0100

yade (2018.02b-6) unstable; urgency=medium

  * [3251aa0] Reenable cgal-build

 -- Anton Gladky <gladk@debian.org>  Mon, 07 Jan 2019 20:22:40 +0100

yade (2018.02b-5) unstable; urgency=medium

  * [ef8bc89] Disable cgal functionality. (Closes: #911685)
  * [75b0b55] Set Standards-Version to 4.2.1

 -- Anton Gladky <gladk@debian.org>  Wed, 05 Dec 2018 21:39:37 +0100
