=== debian/control ===
--- 
+++ 
@@ -12,15 +12,15 @@
                libboost-all-dev,
                libbz2-dev,
                libcgal-dev,
-               libeigen3-dev (>= 3.2.1-2),
+               libeigen3-dev,
                libgl1-mesa-dev,
                libgmp-dev,
                libgts-dev,
                libloki-dev,
-               libmetis-dev [amd64 i386 powerpc],
-               libopenblas-dev [amd64 i386 powerpc],
+               libmetis-dev,
+               libopenblas-dev,
                libqglviewer-dev-qt5,
-               libsuitesparse-dev [amd64 i386 powerpc],
+               libsuitesparse-dev,
                libvtk6-dev,
                libxi-dev,
                libxmu-dev,
@@ -44,20 +44,19 @@
                      python-bibtex,
                      python-sphinx,
                      texlive-fonts-recommended,
-                     texlive-generic-extra,
+                     texlive-generic-extra | texlive-plain-generic,
                      texlive-latex-extra,
                      texlive-latex-recommended,
                      texlive-pictures,
                      texlive-xetex,
                      tipa
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/science-team/yade.git
 Vcs-Git: https://salsa.debian.org/science-team/yade.git
 Homepage: https://yade-dem.org/doc/
-X-Python-Version: current
 
 Package: yade
-Architecture: any
+Architecture: amd64 arm64 i386 ppc64el s390x
 Multi-Arch: foreign
 Depends: gnuplot,
          gtk2-engines-pixbuf,
@@ -81,7 +80,7 @@
  This package contains speed-optimized build of yade.
 
 Package: libyade
-Architecture: any
+Architecture: amd64 arm64 i386 ppc64el s390x
 Multi-Arch: same
 Depends: libopenblas-dev [amd64 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc],
          ${misc:Depends},
@@ -100,7 +99,7 @@
  This package contains yade`s libraries.
 
 Package: python-yade
-Architecture: any
+Architecture: amd64 arm64 i386 ppc64el s390x
 Multi-Arch: foreign
 Section: python
 Depends: libyade (= ${binary:Version}),
@@ -133,7 +132,8 @@
 Architecture: all
 Section: doc
 Depends: ${sphinxdoc:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         libjs-mathjax
 Recommends: yade
 Description: Platform for discrete element modeling. Documentation
  Yet Another Dynamic Engine.
