=== debian/rules ===
--- 
+++ 
@@ -53,6 +53,7 @@
 ifeq ($(BUILD_DOC), yes)
 	#Generate docs
 	cd $(CURDIR)/doc/sphinx; PYTHONPATH=. $(tmpInstall)/usr/bin/yade yadeSphinx.py
+	cd $(CURDIR)/doc/sphinx/_build/html ; find . -type f -print0 | xargs -0 sed -i 's/https:\/\/cdnjs\.cloudflare\.com\/ajax\/libs\/mathjax\/2\.7\.5\/latest.js/\/usr\/share\/javascript\/mathjax\/MathJax.js\//g'
 endif
 	#Delete all pyc files
 	find . -name '*.pyc' -print0 | xargs -0 rm -f
@@ -66,7 +67,7 @@
 override_dh_compress:
 	dh_compress --all -X.py -X.stl -X.gts -X.geo -X.mesh -X.msh -X.pdf -X.png -X.svg -X.txt -X.js -X.inv
 
-override_dh_auto_test: 
+override_dh_auto_test:
 
 override_dh_installdocs:
 	dh_installdocs
@@ -77,4 +78,3 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf $(BUILDDIR)
-
